//
//    
//
// DDTRI90.DCL 2.2
//
// copyright September 1995 Greg MacGeorge
// DDTRI90.DCL - Used to get input for the DDTRI90.LSP program.


dcl_settings : default_dcl_settings { audit_level = 0; }

tri90 : dialog {
    label = "90 Degree Triangle";
        :image {
                key = "image";
                width = 20.0;
                aspect_ratio = 1.1;
                }
            :edit_box {
                label = "Known Items: ";
                key = "known";
                width = 3;
                fixed_width = true;
                }
        : boxed_row {        
        : boxed_column {
        label = "Sides:";
            :edit_box {
                label = "Side A: ";
                key = "sidea";
                
                width = 6;
                fixed_width = true;
                }
            :edit_box {
                label = "Side B: ";
                key = "sideb";
                fixed_width = true;
                width = 6;
                }
            :edit_box {
                label = "Side C: ";
                key = "sidec";
                fixed_width = true;
                width = 6;
                }
        }
        : boxed_column {
        label = "Angles:";
            :edit_box {
                label = "Angle D: ";
                key = "angd";
                fixed_width = true;
                width = 6;
                }
            :edit_box {
                label = "Angle E: ";
                key = "ange";
                fixed_width = true;
                width = 6;
                }
        }}
        
        : boxed_row {
        label = "Messages";
            : text {
                key = "message";
                fixed_width;
                }
        }
        :row {ok_button; cancel_button;}
}
//
//
//
//
registr : dialog {
    label = "DDTRI90.LSP Registration";
        : boxed_column {
        : text {
            label = "               DDTRI90 SHAREWARE VERSION 2.2";
            }
        }
        
        : boxed_column {
        : text {
            label = "       This program is NOT a registered version!!";
            }
        spacer_1;
        :boxed_row {
        :column {
        : text {
            label = "DDTRI90.LSP will become disabled after";
            }}
        :column {
        : text {
            key = "run_count";
            label = "";
            fixed_width = true;
            width = 2;
            }}
        :column {
        : text {
            label = "more executions";
            }}
        }
        spacer_1;
        : text {
            label = "To register: E-Mail Greg M. MacGeorge 76725,1023";
            }
        spacer_1;
        : text {
            label = "When registration is complete you get:";
            }
        : text {
            label = "1. The latest program version";
            }
        : text {
            label = "   with all working features.";
            }
        : text {
            label = "2. Full program documentation.";
            }
        : text {
            label = "3. Notification of program updates.";
            }
        spacer_1;
        : text {
            label = "   $9.95 + $1.50 S/H";
            }
        }
        :row {cancel_button;}
}
